cc.Class({
    extends: require("BasePlayerController"),

    properties: {

    },
    start()
    {
        // avatar: {
        // default: null,
        //         type: cc.Sprite,
        //         serializable: true,
        // },
        // playerName: {
        // default: null,
        //         type: cc.Label,
        //         serializable: true,
        // },
        // score: {
        // default: null,
        //         type: cc.Label,
        //         serializable: true,
        // },
        // gender: {
        // default: null,
        //         type: cc.Node,
        //         serializable: true,
        // },

        this.score.string = this.gameStatesScpt.playerScore[0].toString();
    },
    hit()
    {
        this.gameStatesScpt.playerScore[0]++;
        this.score.string = this.gameStatesScpt.playerScore[0].toString();
    }
});
